Bug 638570 - [RHEL6 Beta:] 'virsh attach-interface' succeeds even if an already attached target device is specified.
Summary: [RHEL6 Beta:] 'virsh attach-interface' succeeds even if an already attached t...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Laine Stump
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: GSS_6_2_PROPOSED
TreeView+ depends on / blocked
 
Reported: 2010-09-29 11:43 UTC by Sadique Puthen
Modified: 2018-11-14 19:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-17 18:04:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sadique Puthen 2010-09-29 11:43:44 UTC
Description of problem:

Description of Problem:
"virsh attach-interface" succeeds with the following message even if an already attached target device is specified.

# virsh attach-interface <domain-name> bridge br0 --target vnet0

Interface attached successfully

vnet0 is just an already attached target device. It should report an error
message like "vnet0 already attached" then. We believe that this is a bug of
"virsh attach-interface". Could you please fix "virsh attach-interface" so
that it reports an error message in the above case?

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux Version Number: 6
Release Number: snapshot13
Architecture: x86_64
Kernel Version: kernel-2.6.32-70.el6.x86_64
Related Package Version: libvirt-client-0.8.1-27.el6.x86_64 
How reproducible:


Steps to Reproduce:

1 - # virsh dumpxml rhel6
....
....
 <interface type='bridge'>
      <mac address='52:54:00:73:00:0e'/>
      <source bridge='br0'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </interface>
....
....

# virsh attach-interface rhel6 bridge br0 --target vnet0
Interface attached successfully

It should say the interface is already attached.
 
Actual results:

Hotplugging and already attached network interface is successful.

Expected results:

Hot plugging an already attahced network interface should fail with an error message "interface already attached"

Additional info:


Note You need to log in before you can comment on or make changes to this bug.